## org.hibernate.stat
Class ConcurrentEntityStatisticsImpl

    java.lang.Object
      org.hibernate.stat.CategorizedStatistics
          org.hibernate.stat.ConcurrentEntityStatisticsImpl

All Implemented Interfaces:
  Serializable, EntityStatistics

    public class ConcurrentEntityStatisticsImpl

extends CategorizedStatistics
implements EntityStatistics

Entity related statistics

Author:
  Alex Snaps
See Also:
  Serialized Form

Method Summary
`long` `getDeleteCount()`
`long` `getFetchCount()`
`long` `getInsertCount()`
`long` `getLoadCount()`
`long` `getOptimisticFailureCount()`
`long` `getUpdateCount()`
`String` `toString()`

Methods inherited from class org.hibernate.stat.CategorizedStatistics
`getCategoryName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getDeleteCount

    public long getDeleteCount()

  Specified by:
    `getDeleteCount` in interface `EntityStatistics`

### getInsertCount

    public long getInsertCount()

  Specified by:
    `getInsertCount` in interface `EntityStatistics`

### getLoadCount

    public long getLoadCount()

  Specified by:
    `getLoadCount` in interface `EntityStatistics`

### getUpdateCount

    public long getUpdateCount()

  Specified by:
    `getUpdateCount` in interface `EntityStatistics`

### getFetchCount

    public long getFetchCount()

  Specified by:
    `getFetchCount` in interface `EntityStatistics`

### getOptimisticFailureCount

    public long getOptimisticFailureCount()

  Specified by:
    `getOptimisticFailureCount` in interface `EntityStatistics`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.